Skip to main content

Update Loyalty Level

API operation: Open the endpoint in Scalar

Use POST /loyalty_levels/{loyalty_level_id} to update a loyalty level. The current public operation is LoyaltyLevel.update.post.

This operation requires administrator authentication. Mutable fields can cover the level's name, threshold, benefits, accumulation settings, expiration, description, and image.

See Loyalty levels model for the resource concepts.

OpenAPI reference​

Operation: POST /loyalty_levels/{loyalty_level_id}

Path parameters

NameTypeRequiredDescription
loyalty_level_idintegerYes—

Request body fields

NameTypeRequired
accumulation_ratenumberNo
benefitsarray<any>No
descriptionanyNo
expire_after_minutesinteger | nullNo
imagesanyNo
maximum_accumulation_fixedinteger | nullNo
maximum_accumulation_percentageinteger | nullNo
minimum_pointsintegerNo
nameanyNo

Responses

CodeDescription
200OK (Envelope)
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference